~function () {
	Q.AD = function(json){
		this.id = 'AD'+(Math.random()).toString().replace('.','');
		this._index = 0;
		
		for(var k in json){
			this[k] && this[k](json[k]);
		}
	};
	Q.AD.prototype = {
		width : function(v){
			if(v==null)return this._width;
			this._width = v;
			return this;	
		},
		height : function(v){
			if(v==null)return this._height;
			this._height = v;
			return this;	
		},
		img : function(v){
			if(v==null)return this._img;
			this._img = v;
			return this;	
		},
		html : function(){
			var html = '<div id="'+ this.id +'" style="width: '+ this.width() +'px;min-height:'+ this.height() +'px;position: relative;overflow: hidden;">\
				<div style="width:'+ (this.width() * this.img().length) +'px;left:0;position: absolute;-webkit-transition: all 0.5s ease-in 0s;">';
				for(var i=0;i<this.img().length;i++){
					html+='<div style="float: left;text-align: center;"><img src="'+ this.img()[i].src +'" style="width:100%" /></div>';
				}
				html+='</div>\
			</div>';
			return html;
		},
		goto : function(index){
			this._index = index;
			$('#'+ this.id + ' > div ').css('left',index*-this.width());
		},
		next : function(){
			if(this._index+1<this.img().length){
				this.goto(this._index+1);	
			}else{
				this.goto(0);	
			}	
		},
		pre : function(){
			if(this._index==0){
				this.goto(this.img().length-1);	
			}else{
				this.goto(this._index-1);	
			}	
		},
		delay : function(v){
			if(v==null)return this._delay;
			this._delay = v;
			return this;	
		},
		run : function(){
			var me = this;
			this.timer = setInterval(function(){
				me.next();
			}, me.delay() || 3000);	
		}
	};
}(); 