/*
 *  desc Based on the appcan 4.0 integrated package
 *  author by TMJ 2017-03-27 17:26:06
 *  version: V4.0.0
 *  base on V3.1.1
 */
/**
 *  src String  是   播放文件路径. 支持本地路径wgt://,res://,file://和网络路径http://,https://
    startTime   Number  否   视频开始播放时间,单位为s(秒).默认为0.
    autoStart   Boolean 否   是否自动开始.默认为false.
    forceFullScreen Boolean 否   是否强制全屏,详见下方说明.默认为false.
    showCloseButton Boolean 否   是否显示关闭按钮,用户可以通过点击此按钮关闭播放器.默认为false.
    showScaleButton Boolean 否   是否显示缩放按钮,用户可以通过点击此按钮切换全屏/非全屏模式.默认为true.
    width   Number  否   播放器宽度,单位px.默认为屏幕宽度.
    height  Number  否   播放器高度,单位px.默认为屏幕高度.
    x   Number  否   播放器左边距,单位px.默认为0.
    y   Number  否   播放器上边距,单位px.默认为0.
    scrollWithWeb   Boolean 否   普通状态下播放器是否跟随网页滑动.默认为true.
    
    forceFullScreen参数说明
           此参数传true时播放器会默认进入全屏状态,且不能切换回普通状态.
           此参数传true时showCloseButton会被强制设置为true,传入的参数将被忽略.
           此参数传true时showScaleButton会被强制设置为false,传入的参数将被忽略.
           此参数传true时,width,height,x,y,scrollWithWeb 这5个参数无效. 
 */

var TMP = {
    play: function(url,isFull,y,close,scale,end){
        try{uexWindow.setOrientation(3);}catch(e){}
        var endx = end || 0;
        var top = 0;
        if(y)top=y;
        //var em = parseInt($("body").css("font-size"));//如果ios顶部时间显示
        //if(top==0)top = 1*em;
        uexVideo.onPlayerClose = function(info){
            //alert(info);
            try{uexWindow.setOrientation(1);}catch(e){}
        };
        uexVideo.onPlayerStatusChange = function(info){
            //alert(info);
        };
        uexVideo.onPlayerEndTime = function(info){
            //alert("播放到指定时间了="+endx)
            //alert(info)
            $(".player").addClass("playOver");
            $(".player").html("<p>试看时间已结束，请付费观看</p>");
            appcan.window.openToast("您的试看时间已到，请购买观看",2500,2,0);
            //$toast("视频试看时间已结束");
        }
        uexVideo.onPlayerFinish = function() {
            //alert("video completed!");
        };
        var fullS = false;
        var auto = false;
        if(isFull && isFull == 1 ){
            fullS = true;
            auto = true;
        }
        // if(isFull && isFull == 3 )auto=true;/
        if(isFull && isFull == 3 ){
            fullS = false;
            auto= false;
        }
        if(isFull && isFull == 4 ){
            fullS = false;
            auto= true;
        }
        var closer = false;
        if(close && close == 1 )closer=true;
        var scaler = true;
        if(scale && scale == 0 )scaler=false;
        var param = {
            src:url,
            startTime:0,
            endTime:endx,//以秒为单位
            autoStart:auto,
            forceFullScreen:fullS,
            showCloseButton:closer,
            showScaleButton:scaler,
            width: $("body").width(),
            height: $("body").width()*9/16,
            x:0,
            y:top, 
            scrollWithWeb:false
        }
        try{
            uexVideo.openPlayer(JSON.stringify(param));
        }catch(e){console.log(url);console.log(e)}
    },
    close:function(){
        try{uexWindow.setOrientation(1);}catch(e){}
        uexVideo.closePlayer();
    }
}
