/**
 *   封装QQ相关功能V4.0：
 *   id = 0、qq登录  1、分享图文到QQ 2、分享本地图片到QQ 3、分享音频到QQ  4、分享应用到QQ 5、分享图文到QQ空间
 *   
 *   author by TMJ 2017-04-11 18:28:08
 *   update in 2017-05-26 14:18:23
 *   Remark：1、注意包名： com.eebochina.MothersCircle;
 *           2、config配置文件需要配置
 */
//手动输入参数
var appID_Q = "1105933915";//qq开发平台appID   -妈妈圈
var appKey_Q = "zoB30ODnC8MlLhKL";
//自获取参数
var randomNum = Math.random().toString(36).substr(2,32).toUpperCase();
var access_token = "";//调用接口凭证;@用于获取个人信息
var openid_qq = "";//普通用户标识,对该公众账号唯一;@用于获取个人信息
var refresh_token = "";//调用getLoginAccessToken接口时获得的refresh_token;@用于刷新token
var code = "";//
var access_token_qq="";

/**
 *  QQ：登陆/分享
 */
var qq4 = {
    isStalled:function(){
        try{
            var ret = uexQQ.isQQInstalled();//检查QQ是否已安装
        }catch(e){}
        return ret;
    },
    login:function(){
        var _this = this;
        uexQQ.login(appID_Q, function(error, data) {
            if(!error){
               openid_qq = data.openid;
               _this.getUserInfo();
            }else{
               //alert("登录失败");
            }
        });
    },
    getUserInfo:function(){
        uexQQ.getUserInfo(appID_Q, function(data) {
            //data.gender  性别   data.city 城市    
            var param={"Type":"qq","openid":openid_qq,"UserToken":access_token_weixin,"NickName":data.nickname,"ImgUrl":data.figureurl}
            setWinParam(param);
            goNext(openid_qq);
        });
    },
    showTextImg:function(title,sum,url,appname,cflag){
        //分享图文信息到QQ
        //title标题,最长30个字符summary消息摘要,最长40个字符targetUrl点击消息跳转URLimageUrl图片地址,支持网络图片和本地图片
        //appName应用名称,显示在分享完成时的返回按钮
        //cflag是否弹出分享到空间对话框.不传时,不弹出对话框,可以选择分享到QQ好友或QQ空间; 值为"1",弹出对话框;值为"2",不弹出对话框,只能分享到QQ好友
        var name = "保财师";
        if( appname )name=appname;
        var flag = "2";
        if(cflag)flag=cflag;
        var data = {
            title:title,
            summary:sum,
            targetUrl:url,
            imageUrl:"res://icon.png",
            appName:name,
            cflag:flag
        };
        var json = JSON.stringify(data);
        uexQQ.shareWebImgTextToQQ(appID_Q, json, function(error,data) {
            if(!error){
                //alert("分享成功!");
            }else{
                //alert("分享失败:" + data);
            }
        });
    },
    shareImgTextToQZone:function(){
         //分享图文到QQ空间
        var json = '{"title":"空间分享标题","summary":"空间分享消息摘要","targetUrl":"http://appcan.cn","imageUrl":["res://aa.png", "res://aa.jpg", "res://bb.png"]}';
        uexQQ.shareImgTextToQZone(appId, json, function(data) {
            if(!error){
              //alert("分享成功!");
            }else{
              //alert("分享失败:" + data);
            }
        });
    },
    shareLocalImgToQQ:function(url){
        //分享本地图片到QQ
        //imageLocalUrl本地图片路径
        //appName应用名称,显示在分享完成时的返回按钮
        //cflag是否弹出分享到空间对话框.不传时,不弹出对话框,可以选择分享到QQ好友或QQ空间; 值为"1",弹出对话框;值为"2",不弹出对话框,只能分享到QQ好友
        //var data = {imageLocalUrl:"res://aa.jpg",appName:"uexQQ","cflag"};
        var data = {imageLocalUrl:"res://aa.jpg",appName:"uexQQ",cflag:"1"};
        var json = JSON.stringify(data);
        uexQQ.shareLocalImgToQQ(appID_Q, json , function(error,data) {
            if(!error){
              //alert("分享成功!");
            }else{
              //alert("分享失败:" + data);
            }
        });
    },
    shareAudioToQQ:function(){
        //分享音频到QQ
        var data = {
            title:"音乐分享标题",
            summary:"音乐分享消息摘要",
            targetUrl:"http://appcan.cn",
            imageUrl:"http://imgcache.qq.com/qzone/space_item/textarea/0/66768.gif",
            appName:"uexQQ",
            audio_url:"http://pan.baidu.com/share/link?shareid=1055030794&uk=2337020227",
            cflag:"2"};
        var json = JSON.stringify(data);
        uexQQ.shareAudioToQQ(appID_Q, json, function(data) {
            if(!error){
              //alert("分享成功!");
            }else{
              //alert("分享失败:" + data);
            }
        });
    },
    shareAppToQQ:function(){
        //分享应用到QQ
        var json = '{"title":"标题","summary":"摘要","imageUrl":"","appName":"uexQQ","cflag":"1"}';
        uexQQ.shareAppToQQ(appID_Q, json, function(data) {
            if(!error){
              //alert("分享成功!");
            }else{
              //alert("分享失败:" + data);
            }
        });
    }
}
