/*
 *  Mainly used for sliding delete
 *  author by TMJ 2017-08-14 11:31:53
 *  version: V1.0.0
 *  base on jquery、Zepto
 */
/* 滑动删除js */
function moveLeft(objs,fun) {
     var option = {itemDelete: '.delButton'};
     var defaults = {
       itemDelete: '.delButton', //删除元素
     };
     var opts = $.extend({}, defaults, option); //配置选项
     var delWidth = $(opts.itemDelete).width();
     var initX; //触摸位置
     var initY; //触摸位置
     var moveX; //滑动时的位置
     var moveY; //滑动时的位置
     var X = 0; //移动距离
     var Y = 0; //移动距离
     var objX = 0; //目标对象位置
     var objOne = objs;
     $(objOne).on('touchstart', function(e) {
         try{
             //appcan.window.enableBounce();
             //e.preventDefault();
             //event.preventDefault();
             var obj = this;
             $(objOne).css("transform","translateX(0)");
             var userType = $(obj).attr("data-type");
             if( userType == "2" || userType == 2 )return;//无需删除滑动
             try{
                 initX = e.originalEvent.targetTouches[0].pageX;
                 initY = e.originalEvent.targetTouches[0].pageY;   
             }catch(e){
                 initX = e.pageX;
                 initY = e.pageY;
             }
             objX = (obj.style.WebkitTransform.replace(/translateX\(/g, "").replace(/px\)/g, "")) * 1;
         }catch(e){console.log("touchMove-error:"+e)}
         if( objX == 0) {
             $(objOne).on('touchmove', function(event) {
                 //appcan.window.disableBounce();
                 var obj = this;
                 var userType = $(obj).attr("data-type");
                 if( userType == "2" || userType == 2 )return;//无需删除滑动
                 try{
                     moveX = event.originalEvent.targetTouches[0].pageX;
                     moveY = event.originalEvent.targetTouches[0].pageY;   
                 }catch(e){
                     moveX = event.pageX;
                     moveY = event.pageY;
                 }
                 X = moveX - initX;
                 Y = moveY - initY;
                 // if( Math.abs(Y) > 20){
                     // appcan.window.enableBounce();
                 // }else{
                     // appcan.window.disableBounce();
                 // }
                 if( X >= 15 ) {
                     obj.style.WebkitTransform = "translateX(" + 0 + "px)";
                 }else if (X < 0) {
                     var l = Math.abs(X);
                     obj.style.WebkitTransform = "translateX(" + -l + "px)";
                     if (l > delWidth) {
                         l = delWidth;
                         obj.style.WebkitTransform = "translateX(" + -l + "px)";
                     }
                 }
             });
         } else if (objX < 0) {
             $(objOne).on('touchmove', function(e) {
                 //appcan.window.disableBounce();
                 var obj = this;
                 var userType = $(obj).attr("data-type");
                 if( userType == "2" || userType == 2 )return;//无需删除滑动
                 try{
                     moveX = event.originalEvent.targetTouches[0].pageX;
                     moveY = event.originalEvent.targetTouches[0].pageY;   
                 }catch(e){
                     moveX = event.pageX;
                     moveY = event.pageY;
                 }
                 X = moveX - initX;
                 Y = moveY - initY;
                 // if( Math.abs(Y) > 30){
                     // appcan.window.enableBounce();
                 // }
                 if (X >= 15 ) {
                     var r = -delWidth + Math.abs(X);
                     obj.style.WebkitTransform = "translateX(" + r + "px)";
                 } else { //向左滑动
                     obj.style.WebkitTransform = "translateX(" + 0 + "px)";
                 }
             });
         }
     })
     $(objOne).on('touchend', function(e) {
         //try{appcan.window.enableBounce();}catch(e){}
         try{
             var obj = this;
             var userType = $(obj).attr("data-type");
             objX = (obj.style.WebkitTransform.replace(/translateX\(/g, "").replace(/px\)/g, "")) * 1;
             if( userType == "2" || userType == 2 )return;//无需删除滑动
             if( Math.abs(X) < 10){
                 e.preventDefault();
                 event.preventDefault();
                 obj.style.WebkitTransform = "translateX(" + 0 + "px)";
                 if(fun)fun(obj);
             }else{
                 if (objX > -delWidth / 2) {
                     obj.style.transition = "all 0.6s";
                     obj.style.WebkitTransform = "translateX(" + 0 + "px)";
                     obj.style.transition = "all 0";
                     objX = 0;
                     X = 0;
                     Y = 0;
                     e.preventDefault();
                     event.preventDefault();
                 } else {
                     obj.style.transition = "all 0.2s";
                     obj.style.WebkitTransform = "translateX(" + -delWidth + "px)";
                     obj.style.transition = "all 0";
                     objX = -delWidth;
                 }
             }
         }catch(e){console.log("touchEnd-error:"+e)}
     })
     $(objOne).on("click",function(e){
         e.preventDefault();
         event.preventDefault();
         var obj = this;
         if(fun)fun(obj);
     })
     //return objOne;//链式返回
}