/**
 * 大额存单页面
 * @author linna.
 *  time on 2019-6-13、
 * one entry生成大额存单页面
 */

function appendfrcd() {
  var frcdid = Math.round(Math.random() * 1000000) + Date.parse(new Date())
  //传递的参数
  var parameter = {
    search: 'CD'//大额存单/CD
  }
  //后台交互
  ajax({
    url: "topfit/oneEntry/search",//接口地址
    type: "POST",
    data: parameter,//传递的参数
    successx: function (data) {
      //与后台通信成功以后删除掉“正在启动智能引擎……”
      var loading = document.getElementsByClassName('entry_loading')[0];
      var loadingparents = document.getElementsByClassName('textcontent')[0];
      loadingparents.removeChild(loading);
      //success--	boolean--	true成功，false为失败
      if (data.success) {
        var frcds = '';
        var orgTypelist = new Array();
        var issueList = new Array();
        //获取返回数据的长度，并把每个机构的内容获取出来
        for (var frcdsnum = 0; frcdsnum < data.obj.length; frcdsnum++) {
          var orgType = '';
          var frcd_contentstr = ''
          //如果机构特征为null不做遍历
          if (data.obj[frcdsnum].orgType) {
            //把每个机构对应的机构特征遍历出来。
            for (var frcd_tips = 0; frcd_tips < data.obj[frcdsnum].orgType.length; frcd_tips++) {
              //遍历出来对应的机构特征，并将数据插入到html中
              orgType += '<span>' + data.obj[frcdsnum].orgType[frcd_tips] + '</span>';
            }
          }
          //如果发行列表为null不做遍历
          if (data.obj[frcdsnum].issueList) {
            //把每个机构对应的发行列表遍历出来。
            for (var issue = 0; issue < data.obj[frcdsnum].issueList.length; issue++) {
              //如果价格（%）为null显示为--
              var price = data.obj[frcdsnum].issueList[issue].price ? data.obj[frcdsnum].issueList[issue].price : '--'
              //如果起存金额（万）为null显示为--
              var minimum = data.obj[frcdsnum].issueList[issue].minimum ? data.obj[frcdsnum].issueList[issue].minimum : '--'
              //将对应的发行列表插入到html中
              frcd_contentstr += '<li>' +
                '<div>' + data.obj[frcdsnum].issueList[issue].term + '</div>' +//发行期限
                '<div>' + price + '</div>' +//价格（%）
                '<div>' + minimum + '</div>' +//起存金额（万）
                '</li>';
            }
          }
          //把遍历出来的机构特征插入到对应的机构内
          orgTypelist[frcdsnum] = orgType;
          //把遍历出来的发行列表插入到对应的机构内
          issueList[frcdsnum] = frcd_contentstr;
          //每个机构对应的html
          frcds += ' <div class="frcds">' +
            ' <div class="frcds_top">' +
            '<div class="frcd_title">' + data.obj[frcdsnum].compcname + '</div>' +//机构名称
            '<div class="frcd_tips">' + orgTypelist[frcdsnum] + '</div>' +//机构特征
            '<div class="frcd_hr"></div>' +
            '</div>' +
            '<div class="frcd_con">' +
            '<div class="frcd_con_titlebg">' +
            '<div class="frcd_con_title">' +
            '<div>发行期限</div>' +
            '<div>价格（%）</div>' +
            '<div>起存金额（万）</div>' +
            '</div>' +
            '</div>' +
            '<div class="frcd_content">' +
            '<ul>' + issueList[frcdsnum] + '</ul>' +//发行列表
            '</div>' +
            '</div>' +
            '</div>';
        }
        //整个大额存单页面对应的html
        var frcdstr = '<div class="frcd">' +
          '<div class="frcd_line" id="' + frcdid+'">' + frcds + '</div>' +
          '</div>'
        //append
        $("body #textcontent").append(frcdstr);
        //计算整个大额存单的宽度（可滑动），每个机构的宽度为21rem*所有的机构
        // document.getElementsByClassName('frcd_line')[0].style.width = (data.obj.length * 21) + 'rem';
        document.getElementById(frcdid).style.width = (data.obj.length * 21) + 'rem';
        //保持新消息在页面的最下侧
        window.scrollTo(0, document.body.scrollHeight);
      } else {
        //失败信息
        // alert(data.msg)
        var frcdstr = "<div class='serversendcontent'><div class='serversend '><p>处理失败</p></div></div>"
        $("body #textcontent").append(frcdstr);
        window.scrollTo(0, document.body.scrollHeight);
      }
    }
  }, false);


}


