/*
处理按钮点击事件
实现机制：含有touch这个class的dom，在touchstart时，会附加上data-touchclass所设置的class
*/
~function () {
	var $ = Q.$;
	$(document).ready(function(){
		var ac = $('.touch'),timer=null;
		ac.live(touchstart,function(){
			var css = $(this).data('touchclass'),self=this;
			if(!css || css=='')css="publictouch";
			if(css)$(this).addClass(css);
			timer = setTimeout(function(){
				$(self).removeClass(css);
			},600);
		}).live(touchend,function(){
			var css = $(this).data('touchclass');
			if(css)$(this).removeClass(css);		
			if(timer)clearTimeout(timer);
		});
	});
}(); 