/*
 *  desc Based on the appcan 4.0 integrated package
 *  author by TMJ 2017-04-26 12:58:43
 *  version: V4.0.0
 *  base on common.js
 */
/*微信支付 In pay4.js 封装了微信/支付宝/银联/百度钱包/三星pay/applePay等支付功能*/
/*  Directory
 *  封装微信的第三方登录与分享功能
 *  应用密钥AppSecret:  [在微信开放平台提交应用审核通过后获得];
 *  项目：保财师    应用签名：9f2d76daea73dc48aeb06fec2a4015bb 包名：com.ptcent.baocaishi
 */
/*  微信需要配置接收回调配置（ windowName 窗口名称,此处窗口为主窗口名称,若在起始页,则窗口名称为"root"）
 *  var params = {
        windowName:"root"
    };
    uexWeiXin.setCallbackWindowName(JSON.stringify(params));
 */
/* Pay1 - 微信   */
//手动输入参数
var appID_weixin = "wxdb312c2f8eea13f1";//到微信开发者登记页面进行登记并设置相关信息后将获得appID
var appSecret_weixin = "a2824ba2e18907f5172a585e69da0fa1";//APP项目密钥,首次获取请保存
var TMstate = "0426";//安全标识@用于微信登陆
var mch_id = "1454669102";//微信支付-商户ID
var key_weixin = "bao9cai7shi620170427shui04yang06";//商户密钥
//自获取参数
var randomNum = Math.random().toString(36).substr(2,32).toUpperCase();
var access_token_weixin = "";//调用接口凭证;@用于获取个人信息
var openid_weixin = "";//普通用户标识,对该公众账号唯一;@用于获取个人信息
var refresh_token_weixin = "";//调用getLoginAccessToken接口时获得的refresh_token;@用于刷新token
var code_weixin;
var weixinSign = "";//微信签名
var checkToen_weixin = false;
var checkToen2_weixin = false;
var prepay_id_weixin;//订单获取
var nonce_str_weixin;//订单获取
/**
 *  微信注册、判断是否安转、微信文字分享、图文分享、登录
 */
var wechatpay4 = {
    init:function(money,des){
        this.money = money*100;//*100  正式环境需要乘以100
        this.desc = des;
        if(!des)this.desc = "商品详情";
        if( uexWeiXin ){
            //alert("install="+uexWeiXin.isWXAppInstalled())
            //alert("support="+uexWeiXin.isWXAppSupportApi())
            this.regist = uexWeiXin.registerApp(appID_weixin);//0=成功1=失败
            //this.install = uexWeiXin.isWXAppInstalled();//true-已安装,false-未安装
            //this.support = uexWeiXin.isWXAppSupportApi();//判断当前微信的版本是否支持OpenApi,true-支持,false-不支持.
            this.getPrepayId();
        }
    },
    getUrl:function(){
        //获取微信itunes的安装地址, 仅iOS支持
        uexWeiXin.getWXAppInstallUrl(function(data) {
              //alert("callback:" + data);
              return data;
        });
    },
    getVersion:function(){
        //获取SDK的版本号, 仅iOS支持
        uexWeiXin.getApiVersion(function(data){
            //alert("callback:" + data);
        });
        return data;
    },
    open:function(){
        //0表示打开成功,1表示打开失败
        uexWeiXin.openWXApp(function(data){
           //alert("callback:" + data);
        });
    },
    getPrepayId:function(){
        var randomNum2 = Math.random().toString(36).substr(2,32).toUpperCase();
        var stringA = "appid="+appID_weixin+"&body="+this.desc+"&mch_id="+mch_id+"&nonce_str="+randomNum+"&notify_url=http://www.baocaishi.com&out_trade_no="+randomNum2+"&spbill_create_ip=127.0.0.1&total_fee="+this.money+"&trade_type=APP"; 
        var stringSignTemp = stringA + "&key="+key_weixin;
        weixinSign = hex_md5(stringSignTemp).toUpperCase();
        //alert("weixinSign="+weixinSign)
        //var json = JSON.parse(data);
        var param1 = {
            appid: appID_weixin,//(必选) 微信分配的公众账号ID（企业号corpid即为此appId） 
            body:this.desc,//(必选) 商品或支付单简要描述
            mch_id: mch_id,//(必选) 微信支付分配的商户号
            //device_info:"",//(可选) 终端设备号(门店号或收银设备ID)，注意：PC网页或公众号内支付请传"WEB"
            nonce_str: randomNum,//(必选) 随机字符串，不长于32位。随机字符串，不长于32位。
            notify_url:"http://www.baocaishi.com",//(必选) 接收微信支付异步通知回调地址，通知url必须为直接可访问的url，不能携带参数。
            //detail:"goodFood",//(可选) 商品名称明细列表
            //attach:"ad11223344",//(可选) 附加数据，在查询API和支付通知中原样返回，该字段主要用于商户携带订单的自定义数据
            out_trade_no:randomNum2,//(必选) 商户系统内部的订单号，32个字符内、可包含字母
            //fee_type:"CNY",//(可选) 符合ISO 4217标准的三位字母代码，默认人民币:CNY
            spbill_create_ip:"127.0.0.1",//(必选) 用户端ip
            total_fee:this.money,//(必选) 订单总金额，只能为整数，单位为分
            //time_start:"20150503152510",//(可选) 订单生成时间，格式为yyyyMMddHHmmss，如2009年12月25日9点10分10秒表示为20091225091010。
            //time_expire:"20150703152510",//(可选) 订单失效时间，格式为yyyyMMddHHmmss，如2009年12月27日9点10分10秒表示为20091227091010。注意：最短失效时间间隔必须大于5分钟
            //goods_tag:"FOOD",//(可选) 商品标记，代金券或立减优惠功能的参数
            trade_type:"APP",//(必选) 交易类型，此处为固定值"APP"
            //product_id:"",//(可选) 此id为二维码中包含的商品ID，商户自行定义。
            //openid: json.openid,//(可选) 用户在商户appid下的唯一标识。
            sign:weixinSign//(必选) 签名，详见签名生成算法
        };
        var data1 = JSON.stringify(param1);
        var _this = this;
        uexWeiXin.getPrepayId(data1,function(data){
           //alert("callbackorder:" + JSON.stringify(data));
           prepay_id_weixin = data.prepay_id;
           nonce_str_weixin = data.nonce_str;
           _this.pay();
        });
    },
    pay:function(){
        var timer = Date.parse( new Date() ).toString().substr(0,10);
        var pgName = "Sign=WXPay";
        var stringA = "appid="+appID_weixin+"&noncestr="+nonce_str_weixin+"&package="+pgName+"&partnerid="+mch_id+"&prepayid="+prepay_id_weixin+"&timestamp="+timer; 
        var stringSignTemp = stringA + "&key="+key_weixin;
        var weixinSign2 = hex_md5(stringSignTemp).toUpperCase();
        //alert("weixinSign2="+weixinSign2);
        var param1 = {
            appid: appID_weixin,
            noncestr: nonce_str_weixin,//(必选)随机字符串
            package: pgName,//默认值
            partnerid: mch_id,//(必选)微信支付分配的商户号
            prepayid: prepay_id_weixin,//(必选)微信返回的支付交易会话ID,从gettextareapayId接口的回调方法中获取
            timestamp: timer,//(必选)时间戳
            sign: weixinSign2 //(必选)签名
        };
        var data1 = JSON.stringify(param1);
        // uexWeiXin.startPay(data1);
        //支付  -- 回调
        // uexWeiXin.cbStartPay = function(data){
            // //errCode 状态码。0:成功；-1:错误；-2:用户取消
            // //支付的时候需要拦截android后退键,否则此回掉不会执行
            // var json = JSON.parse(data);
            // if( json.errCode == "0" ){
                // alert("支付成功");
            // }else if( json.errCode == "-1" ){
                // alert("支付失败");
            // }else if( json.errCode == "-2" ){
                // alert("用户取消");
            // }
        // }
        uexWeiXin.startPay(data1,function(data){
            if( data.errCode == 0 || data.errCode == "0"){
                //$toast("支付成功");
                paySuccess();
            }else if( data.errCode == -1  || data.errCode == "-1"){
                $toast("支付失败");
            }else if( data.errCode == -2  || data.errCode == "-2"){
                $toast("用户取消");
            }
           //alert("callback-pay:" + JSON.stringify(data));
        });
    }    
}
var sina = {
    
}
var alipay = {
    
}
var unionPay = {
    
}
/**
 * MD5 
 */
var hexcase = 0;
function hex_md5(a) {
    if (a == "")
        return a;
    return rstr2hex(rstr_md5(str2rstr_utf8(a)))
}

function hex_hmac_md5(a, b) {
    return rstr2hex(rstr_hmac_md5(str2rstr_utf8(a), str2rstr_utf8(b)))
}

function md5_vm_test() {
    return hex_md5("abc").toLowerCase() == "900150983cd24fb0d6963f7d28e17f72"
}

function rstr_md5(a) {
    return binl2rstr(binl_md5(rstr2binl(a), a.length * 8))
}

function rstr_hmac_md5(c, f) {
    var e = rstr2binl(c);
    if (e.length > 16) {
        e = binl_md5(e, c.length * 8)
    }
    var a = Array(16),
        d = Array(16);
    for (var b = 0; b < 16; b++) {
        a[b] = e[b] ^ 909522486;
        d[b] = e[b] ^ 1549556828
    }
    var g = binl_md5(a.concat(rstr2binl(f)), 512 + f.length * 8);
    return binl2rstr(binl_md5(d.concat(g), 512 + 128))
}

function rstr2hex(c) {
    try { hexcase
    } catch(g) {
        hexcase = 0
    }
    var f = hexcase ? "0123456789ABCDEF" : "0123456789abcdef";
    var b = "";
    var a;
    for (var d = 0; d < c.length; d++) {
        a = c.charCodeAt(d);
        b += f.charAt((a >>> 4) & 15) + f.charAt(a & 15)
    }
    return b
}

function str2rstr_utf8(c) {
    var b = "";
    var d = -1;
    var a,
        e;
    while (++d < c.length) {
        a = c.charCodeAt(d);
        e = d + 1 < c.length ? c.charCodeAt(d + 1) : 0;
        if (55296 <= a && a <= 56319 && 56320 <= e && e <= 57343) {
            a = 65536 + ((a & 1023) << 10) + (e & 1023);
            d++
        }
        if (a <= 127) {
            b += String.fromCharCode(a)
        } else {
            if (a <= 2047) {
                b += String.fromCharCode(192 | ((a >>> 6) & 31), 128 | (a & 63))
            } else {
                if (a <= 65535) {
                    b += String.fromCharCode(224 | ((a >>> 12) & 15), 128 | ((a >>> 6) & 63), 128 | (a & 63))
                } else {
                    if (a <= 2097151) {
                        b += String.fromCharCode(240 | ((a >>> 18) & 7), 128 | ((a >>> 12) & 63), 128 | ((a >>> 6) & 63), 128 | (a & 63))
                    }
                }
            }
        }
    }
    return b
}

function rstr2binl(b) {
    var a = Array(b.length >> 2);
    for (var c = 0; c < a.length; c++) {
        a[c] = 0
    }
    for (var c = 0; c < b.length * 8; c += 8) {
        a[c >> 5] |= (b.charCodeAt(c / 8) & 255) << (c % 32)
    }
    return a
}

function binl2rstr(b) {
    var a = "";
    for (var c = 0; c < b.length * 32; c += 8) {
        a += String.fromCharCode((b[c >> 5] >>> (c % 32)) & 255)
    }
    return a
}

function binl_md5(p, k) {
    p[k >> 5] |= 128 << ((k) % 32);
    p[(((k + 64) >>> 9) << 4) + 14] = k;
    var o = 1732584193;
    var n = -271733879;
    var m = -1732584194;
    var l = 271733878;
    for (var g = 0; g < p.length; g += 16) {
        var j = o;
        var h = n;
        var f = m;
        var e = l;
        o = md5_ff(o, n, m, l, p[g + 0], 7, -680876936);
        l = md5_ff(l, o, n, m, p[g + 1], 12, -389564586);
        m = md5_ff(m, l, o, n, p[g + 2], 17, 606105819);
        n = md5_ff(n, m, l, o, p[g + 3], 22, -1044525330);
        o = md5_ff(o, n, m, l, p[g + 4], 7, -176418897);
        l = md5_ff(l, o, n, m, p[g + 5], 12, 1200080426);
        m = md5_ff(m, l, o, n, p[g + 6], 17, -1473231341);
        n = md5_ff(n, m, l, o, p[g + 7], 22, -45705983);
        o = md5_ff(o, n, m, l, p[g + 8], 7, 1770035416);
        l = md5_ff(l, o, n, m, p[g + 9], 12, -1958414417);
        m = md5_ff(m, l, o, n, p[g + 10], 17, -42063);
        n = md5_ff(n, m, l, o, p[g + 11], 22, -1990404162);
        o = md5_ff(o, n, m, l, p[g + 12], 7, 1804603682);
        l = md5_ff(l, o, n, m, p[g + 13], 12, -40341101);
        m = md5_ff(m, l, o, n, p[g + 14], 17, -1502002290);
        n = md5_ff(n, m, l, o, p[g + 15], 22, 1236535329);
        o = md5_gg(o, n, m, l, p[g + 1], 5, -165796510);
        l = md5_gg(l, o, n, m, p[g + 6], 9, -1069501632);
        m = md5_gg(m, l, o, n, p[g + 11], 14, 643717713);
        n = md5_gg(n, m, l, o, p[g + 0], 20, -373897302);
        o = md5_gg(o, n, m, l, p[g + 5], 5, -701558691);
        l = md5_gg(l, o, n, m, p[g + 10], 9, 38016083);
        m = md5_gg(m, l, o, n, p[g + 15], 14, -660478335);
        n = md5_gg(n, m, l, o, p[g + 4], 20, -405537848);
        o = md5_gg(o, n, m, l, p[g + 9], 5, 568446438);
        l = md5_gg(l, o, n, m, p[g + 14], 9, -1019803690);
        m = md5_gg(m, l, o, n, p[g + 3], 14, -187363961);
        n = md5_gg(n, m, l, o, p[g + 8], 20, 1163531501);
        o = md5_gg(o, n, m, l, p[g + 13], 5, -1444681467);
        l = md5_gg(l, o, n, m, p[g + 2], 9, -51403784);
        m = md5_gg(m, l, o, n, p[g + 7], 14, 1735328473);
        n = md5_gg(n, m, l, o, p[g + 12], 20, -1926607734);
        o = md5_hh(o, n, m, l, p[g + 5], 4, -378558);
        l = md5_hh(l, o, n, m, p[g + 8], 11, -2022574463);
        m = md5_hh(m, l, o, n, p[g + 11], 16, 1839030562);
        n = md5_hh(n, m, l, o, p[g + 14], 23, -35309556);
        o = md5_hh(o, n, m, l, p[g + 1], 4, -1530992060);
        l = md5_hh(l, o, n, m, p[g + 4], 11, 1272893353);
        m = md5_hh(m, l, o, n, p[g + 7], 16, -155497632);
        n = md5_hh(n, m, l, o, p[g + 10], 23, -1094730640);
        o = md5_hh(o, n, m, l, p[g + 13], 4, 681279174);
        l = md5_hh(l, o, n, m, p[g + 0], 11, -358537222);
        m = md5_hh(m, l, o, n, p[g + 3], 16, -722521979);
        n = md5_hh(n, m, l, o, p[g + 6], 23, 76029189);
        o = md5_hh(o, n, m, l, p[g + 9], 4, -640364487);
        l = md5_hh(l, o, n, m, p[g + 12], 11, -421815835);
        m = md5_hh(m, l, o, n, p[g + 15], 16, 530742520);
        n = md5_hh(n, m, l, o, p[g + 2], 23, -995338651);
        o = md5_ii(o, n, m, l, p[g + 0], 6, -198630844);
        l = md5_ii(l, o, n, m, p[g + 7], 10, 1126891415);
        m = md5_ii(m, l, o, n, p[g + 14], 15, -1416354905);
        n = md5_ii(n, m, l, o, p[g + 5], 21, -57434055);
        o = md5_ii(o, n, m, l, p[g + 12], 6, 1700485571);
        l = md5_ii(l, o, n, m, p[g + 3], 10, -1894986606);
        m = md5_ii(m, l, o, n, p[g + 10], 15, -1051523);
        n = md5_ii(n, m, l, o, p[g + 1], 21, -2054922799);
        o = md5_ii(o, n, m, l, p[g + 8], 6, 1873313359);
        l = md5_ii(l, o, n, m, p[g + 15], 10, -30611744);
        m = md5_ii(m, l, o, n, p[g + 6], 15, -1560198380);
        n = md5_ii(n, m, l, o, p[g + 13], 21, 1309151649);
        o = md5_ii(o, n, m, l, p[g + 4], 6, -145523070);
        l = md5_ii(l, o, n, m, p[g + 11], 10, -1120210379);
        m = md5_ii(m, l, o, n, p[g + 2], 15, 718787259);
        n = md5_ii(n, m, l, o, p[g + 9], 21, -343485551);
        o = safe_add(o, j);
        n = safe_add(n, h);
        m = safe_add(m, f);
        l = safe_add(l, e)
    }
    return Array(o, n, m, l)
}

function md5_cmn(h, e, d, c, g, f) {
    return safe_add(bit_rol(safe_add(safe_add(e, h), safe_add(c, f)), g), d)
}

function md5_ff(g, f, k, j, e, i, h) {
    return md5_cmn((f & k) | ((~f) & j), g, f, e, i, h)
}

function md5_gg(g, f, k, j, e, i, h) {
    return md5_cmn((f & j) | (k & (~j)), g, f, e, i, h)
}

function md5_hh(g, f, k, j, e, i, h) {
    return md5_cmn(f ^ k ^ j, g, f, e, i, h)
}

function md5_ii(g, f, k, j, e, i, h) {
    return md5_cmn(k ^ (f | (~j)), g, f, e, i, h)
}

function safe_add(a, d) {
    var c = (a & 65535) + (d & 65535);
    var b = (a >> 16) + (d >> 16) + (c >> 16);
    return (b << 16) | (c & 65535)
}

function bit_rol(a, b) {
    return (a << b) | (a >>> (32 - b))
};