/*
 *  desc Based on the appcan 4.0 integrated package
 *  author by TMJ 2017-04-26 12:58:43
 *  version: V4.0.0
 *  base on common.js 、appcan4.js
 */
/*微信支付 In pay4.js 封装了微信/支付宝/银联/百度钱包/三星pay/applePay等支付功能*/
/*  Directory
 *  封装微信的第三方登录与分享功能
 *  应用密钥AppSecret:  [在微信开放平台提交应用审核通过后获得];
 *  项目：保财师    应用签名：9f2d76daea73dc48aeb06fec2a4015bb 包名：com.ptcent.baocaishi
 */
/*  微信需要配置接收回调配置（ windowName 窗口名称,此处窗口为主窗口名称,若在起始页,则窗口名称为"root"）
 *  var params = {
        windowName:"root"
    };
    uexWeiXin.setCallbackWindowName(JSON.stringify(params));
 */
//手动输入参数
var appID_weixin = "wx9ebe2106f605c359";//到微信开发者登记页面进行登记并设置相关信息后将获得appID
var appSecret_weixin = "qwqwqwdqad1245645wddqwdqwd1d564a";//APP项目密钥,首次获取请保存
var TMstate = "0426";//安全标识@用于微信登陆
var mch_id = "1345065901";//微信支付-商户ID
//自获取参数
var randomNum = Math.random().toString(36).substr(2,32).toUpperCase();
var access_token_weixin = "";//调用接口凭证;@用于获取个人信息
var openid_weixin = "";//普通用户标识,对该公众账号唯一;@用于获取个人信息
var refresh_token_weixin = "";//调用getLoginAccessToken接口时获得的refresh_token;@用于刷新token
var code_weixin;
var weixinSign = "";//微信签名
var checkToen_weixin = false;
var checkToen2_weixin = false;
/**
 *  微信注册、判断是否安转、微信文字分享、图文分享、登录
 */
var wechat4 = {
    init:function(){
        if( uexWeiXin ){
            //alert("install="+uexWeiXin.isWXAppInstalled())
            //alert("support="+uexWeiXin.isWXAppSupportApi())
            this.regist = uexWeiXin.registerApp(appID_weixin);//0=成功1=失败
            //this.install = uexWeiXin.isWXAppInstalled();//true-已安装,false-未安装
            //this.support = uexWeiXin.isWXAppSupportApi();//判断当前微信的版本是否支持OpenApi,true-支持,false-不支持.
        }
    },
    isWXAppInstalled:function(){
        this.init();
        var info = uexWeiXin.isWXAppInstalled();
        return info;
    },
    getUrl:function(){
        //获取微信itunes的安装地址, 仅iOS支持
        uexWeiXin.getWXAppInstallUrl(function(data) {
              return data;
        });
    },
    getVersion:function(){
        //获取SDK的版本号, 仅iOS支持
        uexWeiXin.getApiVersion(function(data){
            //alert("callback:" + data);
        });
        return data;
    },
    open:function(){
        this.init();
        //0表示打开成功,1表示打开失败
        uexWeiXin.openWXApp(function(data){
           //alert("callback:" + data);
        });
    },
    shareText:function(text,scene){
        this.init();
        //发送的目标场景,0-会画场景,1-朋友圈场景;返回的错误码,0-成功,非0-失败.
        var JsonData = {text:"这是来自AppCan平台对微信支持测试",scene:1};
        uexWeiXin.shareTextContent(JSON.stringify(JsonData), function(error){
             //alert("callback:" + error);
        });
    },
    shareImg:function(img,scene,title){
         //发送的目标场景 0-会话场景 1-朋友圈场景;图片标题(仅iOS)title;返回的错误码,0-成功,非0-失败;缩略图地址Url(大小必须小于32k)
         this.init();
         var JsonData;
         if(browser.versions.ios){
             JsonData = {thumbImg:"res://icon.png",image:"res://test1.png",scene:0,title:"1111"};
         }else{
             JsonData = {thumbImg:"res://icon.png",image:"res://test1.png",scene:0};
         }
         uexWeiXin.shareImageContent(JSON.stringify(JsonData),function(error){
             //alert("callback:" + error);
         });
    },
    shareLink:function(url,scene,title,dec){
        this.init();
        //缩略图地址Url(大小必须小于32k);发送的目标场景 0-会话场景 1-朋友圈场景;链接标题,长度不超过512字节;链接描述内容,长度不能超过1K;返回的错误码,0-成功,非0-失败.
        //var JsonData = {thumbImg:"res://icon.png",wedpageUrl:serverPath+url,scene:scene,title:title,description:dec};
        //var thumbImg = "res://icon.png";
        //https://res.test.unionprocloud.com/wap/images/common/wexinlogo.jpg
        //https://res.test.unionprocloud.com/wap/images/common/logos.png
        var img = config.resImg() + "/wap/images/common/logos.png";
        var JsonData = {thumbImg:img,wedpageUrl:url,scene:scene,title:title,description:dec};
        try{
            if( this.regist == 0 || this.regist == "0"){
                uexWeiXin.shareLinkContent(JSON.stringify(JsonData),function(data){
                    if( data == 0 || data == "1"){
                        TMA.toast("分享成功");
                    }else{
                        TMA.toast("分享已取消");
                    }
                    //alert("callback:" + JSON.stringify(data));
                });
            }
        }catch(e){}
    },
    getToken:function(){
        var params = {
                secret: appSecret_weixin,
                code: code_weixin,
                grant_type:"authorization_code"
        };
        var data = JSON.stringify(params);
        var _this = this;
        uexWeiXin.getLoginAccessToken(data,function(data){
            //alert("callback:" + JSON.stringify(data));
            checkToen_weixin = true;
            openid_weixin = data.openid;
            access_token_weixin = data.access_token;
            refresh_token_weixin = data.refresh_token;
            _this.getUserInfo();
        });
    },
    checkToken:function(){
        if(access_token_weixin == "" || openid_weixin =="" )return;
        var params = {
            access_token:access_token_weixin,
            openid:openid_weixin
        };
        var data = JSON.stringify(params);
        uexWeiXin.getLoginCheckAccessToken(data,function(data){
            // errcode 返回码,0:有效.非0:无效.
            //alert("callback:" + JSON.stringify(data));
            if( data.errcode == 0 ){
                checkToen2_weixin=true;
            }else{
                checkToen2_weixin=true;
            }
        });
    },
    refreshToken:function(){
        var params = {
            grant_type:"refresh_token",
            refresh_token:refresh_token_weixin
        };
        var data = JSON.stringify(params);
        var _this = this;
        uexWeiXin.getLoginRefreshAccessToken(data,function(data){
            //alert("callback:" + JSON.stringify(data));
            openid_weixin = data.openid;
            access_token_weixin = data.access_token;
            refresh_token_weixin = data.refresh_token;
            _this.getUserInfo();
        });
    },
    login:function(){
        this.checkToken();
        this.init();
        var params = {
                scope:"snsapi_userinfo,snsapi_base",
                state:TMstate
        };
        var data = JSON.stringify(params);
        var _this = this;
        //官网的api有问题，回调使用老的
        uexWeiXin.login(data);
        /**,function(data){
            //errCode = 0:用户同意;-4:用户拒绝授权;-2:用户取消
            //code 用户换取access_token的code,仅在 errCode 为0时有效
            if( data.errCode == 0 ){
                code_weixin = data.code;
                _this.getToken();
            }else if( data.errCode == -4){
                alertX("用户拒绝授权");
            }else if( data.errCode == -2){
                alertX("用户取消");
            }
        });*/
        uexWeiXin.cbLogin = function (data) {
            var data = JSON.parse(data);
            if( data.errCode == 0 ){
                code_weixin = data.code;
                if( checkToen_weixin ){
                    _this.refreshToken();
                }else{
                    _this.getToken();
                }
            }else if( json.errCode == -4){
                alertX("用户拒绝授权");
            }else if( json.errCode == -2){
                alertX("用户取消");
            }
        }
    },
    getUserInfo:function(){
        var params = {
            access_token:access_token_weixin,
            openid:openid_weixin
        };
        var data = JSON.stringify(params);
        uexWeiXin.getLoginUnionID(data,function(data){
            //alert("callback:" + JSON.stringify(data));
            var param={"Type":"wchat","openid":data.openid,"UserToken":access_token_weixin,"NickName":data.nickname,"ImgUrl":data.headimgurl}
            setWinParam(param);
            goNext(openid_weixin);
        });
    }
}


