var mapAuth, hasApply = false;

function updateAuth() {
    if (!mapAuth || hasApply) {
        return;
    }
    $(".topfit-auth").removeClass("blur").show();
    $(".power-frame .power-p").remove();
    $(".power-frame .modal-backdrop2").remove();
    if('function'==typeof $('#popAuthApply').tongPop) {
        $("#popAuthApply").tongPop('close');
    }
    var hasPage = false;
    $.each(mapAuth, function(k) {
        $(".topfit-auth.auth-"+k).each(function() {
            var $this = $(this);
            var type = $this.attr("data-auth");
            switch (type) {
                case "hide":
                    $this.hide();
                    break;
                case "page":
                    if (hasPage) {
                        return true;
                    }
                    $("body").attr("data-authCode", k);
                    $this.addClass("blur");
                    if('function'==typeof $('#popAuthApply').tongPop && !hasApply) {
                        $("#popAuthPower").tongPop('open');
                    }
                    $(".power-frame .power-p").remove();
                    $("body").append("<div class='modal-backdrop block' style='background-color: rgba(0,0,0,0)'></div>");
                    hasPage = true;
                    return true;
                default:
                    if (hasPage) {
                        return true;
                    }
                    $this.addClass("blur");
                    var $frame = $this.parents(".power-frame:first");
                    $frame.attr("data-authCode", k);
                    if ($frame.length == 1 && $frame.find(".power-p").length == 0 && !hasApply) {
                        $frame.append(
                            '<div class="power power-p" style="position: absolute; left: 50%; top: 50%; transform: translate(-50%, -50%);z-index:2">' +
                            '<div class="power-con">' +
                            '<span class="tit1">Sorry</span>' +
                            '<span class="tit2">您没有权限访问！</span>' +
                            '</div>' +
                            '<div class="power-btn">申请权限</div>' +
                            '</div>' +
                            '<div class="modal-backdrop2"></div>');
                    }
                    break;
            }
        });
    })
}

function hasAuth(authCode) {
    return mapAuth[authCode] == undefined ? true : mapAuth[authCode];
}

$(function() {
    updateAuth();
    var isSendOver = false;
    $("#btnAuthApply").click(function() {
        if( isSendOver)return;
        isSendOver = true;
        var data = {
            applyModule: 'APP-'+$("#popAuthApply").attr("data-module")
        };
        $("#popAuthApply [name]").each(function() {
            var $this = $(this);
            var name = $this.attr("name");
            var value;
            if ($this.is("input")) {
                value = $this.val();
            } else if ($this.is("ul")) {
                value = $this.find("li.active").attr("data-value");
            }
            data[name] = value;
        })
        TMA.ajax({
            url: "topfit/thomas/panorama/saveApply",
            data: data,
            successx: function(data){
                if( data.success ){
                    $("#popAuthSuccess").show();
                    $("#popAuthApply").hide();
                }else{
                    isSendOver = false;
                    TMA.tip1(data.msg);
                }
            },
            complete:function(){
                setTimeout(function(){
                    TMA.closeToast();
                },0)
            }
        },true,true);
    })

    $("#popAuthApply").on("input", ".list-input-error", function() {
        var $this = $(this);
        $this.removeClass("list-input-error");
        $this.siblings(".speech-bubble-red").hide();
    })

    $("#popAuthApply ul[name='gender'] li").click(function() {
        $(this).addClass("active").siblings().removeClass("active");
    })
    function getModule($this) {
        // var module = TM.getStor("data-module");
        // if (module) {
            // return module;
        // }
        var code = TM.getStor("data-module");
        if (!code) {
            return "";
        }
        var list = code.split("-");
        if (list.length == 1) { // 工具权限
            var listCn = ['TM', 'CTT发起', '接受CTT', '好友管理', '黄页', 'RFQ发起', 'RFQ接收'];
            return listCn[list[0]];
        } else if (list.length == 2) {  // 产品-数据源权限
            var listSource = ['CNEX报价','CFETS报价','CNEX报告'];
            var listProduct = ['','利率债二级','信用债二级','NCD一级','NCD二级','线上资金','线下资金','同业理财','黄金板','碳配额',
                '碳CCER','ABS一级','ABS二级','地方政府债二级','信用债一级','利率债一级','外币拆借','债券一级','外币拆借-在岸','外币拆借-离岸',
                '线下资金外币','外汇即期','外汇远期','外汇掉期','外汇期权','碳排放','理财人民币','中资美元债一级','中资美元债二级',
                '绿色金融债','高收益债券二级','债券借贷','债券远期'];
            return listProduct[list[0]]+"-"+listSource[list[1]];
        }
        return "";
    }
    $("#popAuthApply").attr("data-module",getModule());
})
