/**
 * 人民币拆借回购页面
 * @author linna.
 *  time on 2019-5-20、
 * one entry生成人民币拆借回购
 */

function appendBuyBack(mmrBaseTerm, BuyBackid) {

  var myid = Math.round(Math.random() * 1000000) + Date.parse(new Date())
  //传递的参数
  var parameter = {
    mmrBaseTerm: mmrBaseTerm || 0//基准期限：0：o / n，1：7d，2：14d , 3：21D，4：1M，5：2M/ 3M，6：6M / 1Y，
  }
  // 后台交互
  newajax({
    url: "topfit19/money/onlineFunds/getRepoListByTerm",//接口地址
    type: "POST",
    data: parameter,//传递的参数
    successed: function (data) {
      if (!mmrBaseTerm) {
        // 与后台通信成功以后删除掉“正在启动智能引擎……”
        var loading = document.getElementsByClassName('entry_loading')[0];
        var loadingparents = document.getElementsByClassName('textcontent')[0];
        loadingparents.removeChild(loading);
      }


      /**错误码,几个固定值为: 0:成功,
        *400: 参数不合法,
        *401: 未认证，未登录，一般需要跳转到登录界面要求登录,
        *403: 已登录，但是无权限，拒绝访问,
        *404: 资源找不到,
        *460: 登录的用户未绑定，一般为第三方账户未与本地几号有绑定关系,
        *500: 错误提示。
        *600: 接口请求正常，但是有来自接口的业务提示*/
      if (data.errorCode == 0) {
        // if (BuyBackid) {
        //   var BuyBack = document.getElementById(BuyBackid)
        //   var loadingparents = document.getElementsByClassName('textcontent')[0];
        //   loadingparents.removeChild(BuyBack);
        // }
        var leftli = ''
        var leftlis = ''
        //遍历ofrList
        for (var ofrList = 0; ofrList < data.result.ofrList.length; ofrList++) {
          //mmrStatus == 状态(0:正常? 8:撤销? 9:删除) 撤销状态为灰色
         
          var ofrbuy_backbluecirclecolor = 'buy_backbluecircle'
          var ofrbuy_backpricecolor = 'buy_backprice';
          var ofrbuy_backbankcolor = 'buy_backbank';
          var ofrbuy_backtipscolor = 'buy_backtipsspan'
          if (data.result.ofrList[ofrList].mmrStatus == 8) {
            ofrbuy_backbluecirclecolor = 'buy_backgraycircle'
            ofrbuy_backpricecolor = 'buy_backprice buy_backgrayspan'
            ofrbuy_backbankcolor = 'buy_backbank buy_backgrayspan'
            ofrbuy_backtipscolor = ' buy_backtipsgrayspan'
          }
          var ofrlistElementsstr = '';
          if (data.result.ofrList[ofrList].mmrVolume && data.result.ofrList[ofrList].mmrVolume != '') {
            ofrlistElementsstr = '<span class="' + ofrbuy_backtipscolor + '">' + data.result.ofrList[ofrList].mmrVolume + '亿</span>'
          }
          //遍历ofrList内的listElements==每一项关键要素列表
          for (var ofrlistElements = 0; ofrlistElements < data.result.ofrList[ofrList].listElements.length; ofrlistElements++) {
            ofrlistElementsstr += '<span class="' + ofrbuy_backtipscolor + '">' + data.result.ofrList[ofrList].listElements[ofrlistElements] + '</span>';
          }
          //默认格式化价格==priceDisplay==为空
          var priceDisplay = '';
          //如果列表内有priceDisplay。对priceDisplay赋值
          if (data.result.ofrList[ofrList].priceDisplay) {
            priceDisplay = data.result.ofrList[ofrList].priceDisplay
          }
          //默认报价修改时间==mmrModifyDate==为空
          var mmrModifyDate = '';
          //如果列表内有mmrModifyDate。对mmrModifyDate赋值
          if (data.result.ofrList[ofrList].mmrModifyDate) {
            mmrModifyDate = data.result.ofrList[ofrList].mmrModifyDate.substring(11, 16);
          }
          //默认显示机构名称==showName==为空
          var showName = '';
          //如果列表内有showName。对showName赋值
          if (data.result.ofrList[ofrList].showName) {
            showName = data.result.ofrList[ofrList].showName
          }
          //默认显示机构备注==orgRemarkCn==为空
          var orgRemarkCn = ''
          //如果列表内有orgRemarkCn。对orgRemarkCn赋值
          if (data.result.ofrList[ofrList].orgRemarkCn) {
            orgRemarkCn = '【' + data.result.ofrList[ofrList].orgRemarkCn + '】';
          }
          //左侧列表
          
          if (data.result.ofrList[ofrList].mmrStatus != 8) {
            leftli += '<li class="buy_backli">' +
              '<div class="buy_backcontop">' +
              '<div class="' + ofrbuy_backbluecirclecolor + '"></div>' +
              '<div class="' + ofrbuy_backpricecolor + '">' + priceDisplay + '</div>' +
              '<div class="buy_backtime">' + mmrModifyDate + '</div>' +
              '</div>' +
              '<p class="' + ofrbuy_backbankcolor + '">' + showName + orgRemarkCn + '</p>' +
              '<div class="buy_backtips">' +
              ofrlistElementsstr +
              '</div>' +
              '</li>';
          }else{
            leftlis += '<li class="buy_backli">' +
              '<div class="buy_backcontop">' +
              '<div class="' + ofrbuy_backbluecirclecolor + '"></div>' +
              '<div class="' + ofrbuy_backpricecolor + '">' + priceDisplay + '</div>' +
              '<div class="buy_backtime">' + mmrModifyDate + '</div>' +
              '</div>' +
              '<p class="' + ofrbuy_backbankcolor + '">' + showName + orgRemarkCn + '</p>' +
              '<div class="buy_backtips">' +
              ofrlistElementsstr +
              '</div>' +
              '</li>';
          }         
        }


        var rightli = ''
        var rightlis = ''
        //遍历bidList
        for (var bidList = 0; bidList < data.result.bidList.length; bidList++) {
          //  //mmrStatus == 状态(0:正常? 8:撤销? 9:删除) 撤销状态为灰色
          var bidbuy_backbluecirclecolor = 'buy_backredcircle'//蓝色的圈圈
          var bidbuy_backpricecolor = 'buy_backprice';//
          var bidbuy_backbankcolor = 'buy_backbank';
          var bidbuy_backtipscolor = 'buy_backtipsspan'
          if (data.result.bidList[bidList].mmrStatus == 8) {
            bidbuy_backbluecirclecolor = 'buy_backgraycircle'//灰色的圈圈
            bidbuy_backpricecolor = 'buy_backprice buy_backgrayspan'
            bidbuy_backbankcolor = 'buy_backbank buy_backgrayspan'
            bidbuy_backtipscolor = ' buy_backtipsgrayspan'
          }
          var bidListElementsstr = '';
          if (data.result.bidList[bidList].mmrVolume && data.result.bidList[bidList].mmrVolume != '') {
            bidListElementsstr = '<span class="' + bidbuy_backtipscolor + '">' + data.result.bidList[bidList].mmrVolume + '亿</span>'
          }
          //遍历bidList内的listElements==每一项关键要素列表
          for (var bidListElements = 0; bidListElements < data.result.bidList[bidList].listElements.length; bidListElements++) {
            bidListElementsstr += '<span class="' + bidbuy_backtipscolor + '">' + data.result.bidList[bidList].listElements[bidListElements] + '</span>';
          }
          //默认格式化价格==priceDisplay==为空
          var priceDisplay = '';
          //如果列表内有priceDisplay。对priceDisplay赋值
          if (data.result.bidList[bidList].priceDisplay) {
            priceDisplay = data.result.bidList[bidList].priceDisplay
          }
          //默认报价修改时间==mmrModifyDate==为空
          var mmrModifyDate = '';
          //如果列表内有mmrModifyDate。对mmrModifyDate赋值
          if (data.result.bidList[bidList].mmrModifyDate) {
            mmrModifyDate = data.result.bidList[bidList].mmrModifyDate.substring(11, 16);
          }
          //默认显示机构名称==showName==为空
          var showName = '';
          //如果列表内有showName。对showName赋值
          if (data.result.bidList[bidList].showName) {
            showName = data.result.bidList[bidList].showName
          }
          //默认显示机构备注==orgRemarkCn==为空
          var orgRemarkCn = ''
          //如果列表内有orgRemarkCn。对orgRemarkCn赋值
          if (data.result.bidList[bidList].orgRemarkCn) {
            orgRemarkCn = '【' + data.result.bidList[bidList].orgRemarkCn + '】';
          }
          //右侧列表
          if (data.result.bidList[bidList].mmrStatus != 8) {
          rightli += '<li class="buy_backli">' +
            '<div class="buy_backcontop">' +
            '<div class="' + bidbuy_backbluecirclecolor + '"></div>' +
            '<div class="' + bidbuy_backpricecolor + ' ">' + priceDisplay + '</div>' +
            '<div class="buy_backtime">' + mmrModifyDate + '</div>' +
            '</div>' +
            '<p class="' + bidbuy_backbankcolor + '">' + showName + orgRemarkCn + '</p>' +
            '<div class="buy_backtips">' +
            bidListElementsstr +
            '</div>' +
            '</li>';
          }else{
            rightlis += '<li class="buy_backli">' +
              '<div class="buy_backcontop">' +
              '<div class="' + bidbuy_backbluecirclecolor + '"></div>' +
              '<div class="' + bidbuy_backpricecolor + ' ">' + priceDisplay + '</div>' +
              '<div class="buy_backtime">' + mmrModifyDate + '</div>' +
              '</div>' +
              '<p class="' + bidbuy_backbankcolor + '">' + showName + orgRemarkCn + '</p>' +
              '<div class="buy_backtips">' +
              bidListElementsstr +
              '</div>' +
              '</li>';
          }
        }
        var BuyBackstr = '<div class="buy_back"  id="' + myid + '">' +
          '<div class="buy_backcon">' +
          '<div class="buy_backtitle">' +
          '<div class="buy_backtitlehr"></div>' +
          '<div class="buy_backtitleofr">OFR</div>' +
          ' <div class="buy_backtitlebid">BID</div>' +
          '</div >' +
          '<div class="buy_backcontent">' +
          '<div class="buy_backleft">' +
          '<ul class="buy_backul">' +
          leftli +
          leftlis+
          '</ul>' +
          '</div>' +
          '<div class="buy_backright">' +
          '<ul class="buy_backul">' +
          rightli +
          rightlis+
          '</ul>' +
          '</div>' +
          '</div>' +
          '</div >' +
          '<div class="buy_backbottom">' +
          '<div class="buy_backbottomlist">' +
          '<span class="buy_backbottomspan buy_backbottomtab0"  ontouchend="changeselect(0,' + myid + ')">O/N隔夜</span>' +
          '<span class="buy_backbottomspan buy_backbottomtab1"  ontouchend="changeselect(1,' + myid + ')">1W</span>' +
          '<span class="buy_backbottomspan buy_backbottomtab2"  ontouchend="changeselect(2,' + myid + ')">2W</span>' +
          '<span class="buy_backbottomspan buy_backbottomtab3"  ontouchend="changeselect(3,' + myid + ')">3W</span>' +
          '<span class="buy_backbottomspan buy_backbottomtab4"  ontouchend="changeselect(4,' + myid + ')">1M</span>' +
          '<span class="buy_backbottomspan buy_backbottomtab5"  ontouchend="changeselect(5,' + myid + ')">2M/3M</span>' +
          '<span class="buy_backbottomspan buy_backbottomtab6"  ontouchend="changeselect(6,' + myid + ')">6M/1Y</span>' +
          '</div>' +
          '</div>' +
          '</div >';
        $("body #textcontent").append(BuyBackstr);
        window.scrollTo(0, document.body.scrollHeight);
        //如果有mmrBaseTerm，说明是点击筛选的时候append的页面。根据mmrBaseTerm判断选中按钮
        if (mmrBaseTerm) {
          $('#' + myid + ' .buy_backbottomtab' + mmrBaseTerm).addClass('buy_backspanselect');
        } else { //如果没有mmrBaseTerm，说明是点击首次加载，漠然在第一个加选中
          $('#' + myid + ' .buy_backbottomtab0').addClass('buy_backspanselect');
        }
      } else {
        alertX(data.errorMessage)
      }

    }

  })
}
//点击下方筛选框的时候重新appendBuyBack页面
function changeselect(data, id) {
  appendBuyBack(data, id)
}






  // var BuyBackstr = '<div class="buy_back">' +
  //   '<div class="buy_backcon">' +
  //   '<div class="buy_backtitle">' +
  //   '<div class="buy_backtitlehr"></div>' +
  //   '<div class="buy_backtitleofr">OFR</div>' +
  //   ' <div class="buy_backtitlebid">BID</div>' +
  //   '</div >' +
  //   '<div class="buy_backcontent">' +
  //   '<div class="buy_backleft">' +
  //   '<ul class="buy_backul">' +
  //   '<li class="buy_backli">' +
  //   '<div class="buy_backcontop">' +
  //   '<div class="buy_backbluecircle"></div>' +
  //   '<div class="buy_backprice ">均价</div>' +
  //   '<div class="buy_backtime">10:35</div>' +
  //   '</div>' +
  //   '<p class="buy_backbank">农联农兴农合【资管】</p>' +
  //   '<div class="buy_backtips">' +
  //   '<span class="buy_backtipsspan">5亿</span>' +
  //   '<span class="buy_backtipsspan">质押</span>' +
  //   '<span class="buy_backtipsspan">押利率</span>' +
  //   '</div>' +
  //   '</li>' +
  //   '</ul>' +
  //   '</div>' +
  //   '<div class="buy_backright">' +
  //   '<ul class="buy_backul">' +
  //   '<li class="buy_backli">' +
  //   '<div class="buy_backcontop">' +
  //   '<div class="buy_backbluecircle"></div>' +
  //   '<div class="buy_backprice ">均价</div>' +
  //   '<div class="buy_backtime">10:35</div>' +
  //   '</div>' +
  //   '<p class="buy_backbank">农联农兴农合【资管】</p>' +
  //   '<div class="buy_backtips">' +
  //   '<span class="buy_backtipsgrayspan">5亿</span>' +
  //   '<span class="buy_backtipsspan">质押</span>' +
  //   '<span class="buy_backtipsspan">押利率</span>' +
  //   '</div>' +
  //   '</li>' +
  //   '</ul>' +
  //   '</div>' +
  //   '</div>' +
  //   '</div >' +
  //   '<div class="buy_backbottom">' +
  //   ' <div class="buy_backbottomlist">' +
  //   '<span class="buy_backbottomspan buy_backspanselect">O/N隔夜</span>' +
  //   '<span class="buy_backbottomspan">1W</span>' +
  //   '<span class="buy_backbottomspan">2W</span>' +
  //   '<span class="buy_backbottomspan">3W</span>' +
  //   '<span class="buy_backbottomspan">1M</span>' +
  //   '<span class="buy_backbottomspan">2M/3M</span>' +
  //   '<span class="buy_backbottomspan">6M/1Y</span>' +
  //   '</div>' +
  //   '</div>' +
  //   '</div >';
  // $("body #textcontent").append(BuyBackstr);
  // // //点击消息
  // $(".entryinput").val("");
  // var msgBox = document.getElementsByClassName('pa-wrap');
  // $(".pa-wrap").scrollTop(document.body.scrollHeight);