
/**
 * 机构查询
 * @author linna.
 *  time on 2019-5-27、
 * one entry 机构查询页面
 */
function appendSearchAgencies(orgname) {
  // 后台交互
  newajax({
    url: "topfit19/user/org/listOrgPage",//接口地址
    type: "POST",
    data: { keyWords: orgname },//传递的参数
    successed: function (data) {
      //与后台通信成功以后删除掉“正在启动智能引擎……”
      var loading = document.getElementsByClassName('entry_loading')[0];
      var loadingparents = document.getElementsByClassName('textcontent')[0];
      loadingparents.removeChild(loading);
      var searchagencieslength
      if (data.errorCode == '0') {
        var chagenciesstr = ''
        if (data.result && data.result.length > 0) {          
          searchagencieslength = data.result.length*8.5
          for (var i = 0; i < data.result.length; i++) {
            //机构logo地址=默认
            var logoPath = "../images/icons/searchagencies.png"
            if (data.result[i].logoPath) {
              //如果有机构logo-更改
              logoPath = data.result[i].logoPath
            }
            //机构全程
            var fullName = data.result[i].fullName
            //在点击具体的机构的时候.传递id
            var id = data.result[i].id ? data.result[i].id:''
            var fullNamestr=''
            var fullnamefir = fullName.substr(0, fullName.indexOf(orgname))
            var fullnamesec = fullName.substr(fullName.indexOf(orgname), orgname.length)
            var fullnamethr = fullName.substr(fullName.indexOf(orgname) + orgname.length)
            if (fullName.indexOf(orgname) > -1) {
              fullNamestr = fullnamefir + '<span class="chagenciesred" >' + fullnamesec + '</span>' + fullnamethr
            }else{
              fullNamestr = fullName
            }
            
            chagenciesstr += '<div class="chagencies"  ontouchend="appendgovinfo(\'' + id + '\',\'' + logoPath + '\')">' +
              '<img src=' + logoPath + ' class="chagencies_logo" />' +
              '<div class="chagencies_name">' + fullNamestr + '</div>' +
              '</div>'
          }
          var SearchAgenciesstr = '<div class="searchagencies" >' +
            '<div class="chagencies_list">' +
            chagenciesstr +
            '</div>';
          $("body #textcontent").append(SearchAgenciesstr);
          // //点击消息
          $(".entryinput").val("");
          var msgBox = document.getElementsByClassName('pa-wrap');
          $(".pa-wrap").scrollTop(document.body.scrollHeight);
          $('.chagencies_list').css('width', searchagencieslength+'rem')
        } else {
          var chagenciesstr = "<div class='serversendcontent'><div class='serversend'><p>未查询到机构</p></div></div>"
          $("body #textcontent").append(chagenciesstr);
          window.scrollTo(0, document.body.scrollHeight);
        }

      }

    }
  })

}

function appendgovinfo(orgId, logoPath) {
  //topfit19/user/org/getOrgInfoById

  newajax({
    url: "topfit19/user/org/getOrgInfoById",//接口地址
    type: "POST",
    data: { orgId: orgId},//传递的参数
    successed: function (data) {
      var regGradingList='--'
      if (data.result.regGradingList.length>0){
        regGradingList=''
        for (var i = 0; i < data.result.regGradingList.length;i++){
          regGradingList += data.result.regGradingList[i].subjectName + ' '+data.result.regGradingList[i].levelName+';'
        }
      }
      if(data.errorCode=='0'){
        //机构全称
        var fullName = data.result.fullName ? data.result.fullName:'--'
        //机构简称
        var shortName = data.result.shortName ? data.result.shortName:'--'
        //监管评级
        // var regGradingList = data.result.regGradingList ? data.result.regGradingList : '--'
        //资管规模
        var assetSize = data.result.assetSize ? data.result.assetSize+'亿' : '--'
        //组织机构代码
        var organizationCode = data.result.organizationCode ? data.result.organizationCode : '--'
        //成立日期
        var esDate = data.result.esDate ? data.result.esDate.substr(0,10) : '--'
        //登记机关
        var regOrg = data.result.regOrg ? data.result.regOrg : '--'
        //机构性质
        var type = data.result.typeName ? data.result.typeName : '--'
        //所属集团
        var membership = data.result.membershipName ? data.result.membershipName : '--'
        //统一社会信用代码
        var unificationCode = data.result.unificationCode ? data.result.unificationCode : '--'
        //注册号
        var regNo = data.result.regNo ? data.result.regNo : '--'
        //企业地址
        var address = data.result.orgAddress ? data.result.orgAddress : '--'
        //经营范围
        var businessRange = data.result.businessRange ? data.result.businessRange : '--'
        //regGradingList

        var govinfostr = '<div class="govinfo">' +
          '<div class="govinfo_title">' +
          '<img src=' + logoPath + ' class="govinfo_title_logo" />' +
          '<span>' + fullName +'</span>' +
          '</div>' +
          '<div class="govinfo_con">' +
          '<div class="govinfo_leftcon">' +
          '<p>机构全称</p>' +
          '<p>机构简称</p>' +
          '<p>监管评级</p>' +
          '<p>资管规模</p>' +
          '<p>组织机构代码</p>' +
          '<p>成立日期</p>' +
          '<p>登记机关</p>' +
          '<p>机构性质</p>' +
          '<p>所属集团</p>' +
          '<p>统一社会信用代码</p>' +
          '<p>注册号</p>' +
          '<p>企业地址</p>' +
          '<p>经营范围</p>' +
          '</div>' +
          '<div class="govinfo_rightcon">' +
          '<p>' + fullName+'</p>' +
          '<p>' + shortName +'</p>' +
          '<p>' + regGradingList +'</p>' +
          '<p>' + assetSize +'</p>' +
          '<p>' + organizationCode +'</p>' +
          '<p>' + esDate +'</p>' +
          '<p>' + regOrg +'</p>' +
          '<p>' + type +'</p>' +
          '<p>' + membership +'</p>' +
          '<p>' + unificationCode +'</p>' +
          '<p>' + regNo +'</p>' +
          '<p>' + address +'</p>' +
          '<span>' + businessRange +'</span>' +
          '</div>' +
          '</div>' +
          '</div>';
        $("body #textcontent").append(govinfostr);
        window.scrollTo(0, document.body.scrollHeight);

      }

     
    }})
  
}

// var SearchAgenciesstr = '<div class="searchagencies">' +
//   '<div class="chagencies_list">' +
//   '<div class="chagencies">' +
//   '<img src="../images/icons/searchagencies-icbc.png" class="chagencies_logo" />' +
//   '<div class="chagencies_name">中国工商银行股份有限公司</div>' +
//   '</div>' +
//   '<div class="chagencies">' +
//   '<img src="../images/icons/searchagencies-icbc.png" class="chagencies_logo" />' +
//   '<div class="chagencies_name">中国工商银行股份有限公司</div>' +
//   '</div>' +
//   '</div>';
// $("body #textcontent").append(SearchAgenciesstr);
// // //点击消息
// $(".entryinput").val("");
// var msgBox = document.getElementsByClassName('pa-wrap');
// $(".pa-wrap").scrollTop(document.body.scrollHeight);


// var govinfostr = '<div class="govinfo">' +
//   '<div class="govinfo_title">' +
//   '<img src=' + logoPath + ' class="govinfo_title_logo" />' +
//   '<span>中国工商银行股份有限公司</span>' +
//   '</div>' +
//   '<div class="govinfo_con">' +
//   '<div class="govinfo_leftcon">' +
//   '<p>机构全称</p>' +
//   '<p>机构简称</p>' +
//   '<p>监管评级</p>' +
//   '<p>资管规模</p>' +
//   '<p>组织机构代码</p>' +
//   '<p>成立日期</p>' +
//   '<p>登记机关</p>' +
//   '<p>机构性质</p>' +
//   '<p>所属集团</p>' +
//   '<p>统一社会信用代码</p>' +
//   '<p>注册号</p>' +
//   '<p>企业地址</p>' +
//   '<p>经营范围</p>' +
//   '</div>' +
//   '<div class="govinfo_rightcon">' +
//   '<p>机构全称</p>' +
//   '<p>机构简称</p>' +
//   '<p>监管评级</p>' +
//   '<p>资管规模</p>' +
//   '<p>组织机构代码</p>' +
//   '<p>成立日期</p>' +
//   '<p>登记机关</p>' +
//   '<p>机构性质</p>' +
//   '<p>所属集团</p>' +
//   '<p>统一社会信用代码</p>' +
//   '<p>注册号</p>' +
//   '<p>企业地址</p>' +
//   '<span>XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX</span>' +
//   '</div>' +
//   '</div>' +
//   '</div>';
// $("body #textcontent").append(govinfostr);
// // //点击消息
// $(".entryinput").val("");
// var msgBox = document.getElementsByClassName('pa-wrap');
// $(".pa-wrap").scrollTop(document.body.scrollHeight);