/**
 * 信用债页面
 * @author linna.
 *  time on 2019-5-27、
 * one entry生成信用债页面
 */
var mdEntryType = 0
function appendCreditdebt(flag, periodType) {
  var getCreditInfoByRatingparam = {
    mdEntryType: mdEntryType,//0==Bid,1==ofr
    periodType: periodType || 1
  }

  var cdebtid = Math.round(Math.random() * 1000000) + Date.parse(new Date())
  newajax({
    url: "topfit19/bond/bondQuote/getCreditInfoByRating",//接口地址
    type: "POST",
    data: getCreditInfoByRatingparam,//传递的参数
    successed: function (data) {
      console.log(data)
      if (!flag) {
        //与后台通信成功以后删除掉“正在启动智能引擎……”
        var loading = document.getElementsByClassName('entry_loading')[0];
        var loadingparents = document.getElementsByClassName('textcontent')[0];
        loadingparents.removeChild(loading);
      }

      var bidlist1top = ''
      var bidlist1list = ''
      var bidlist2top = ''
      var bidlist2list = ''
      var bidlist3top = ''
      var bidlist3list = ''
      var debitbordercolor = 'creditdebt_connprice1bid';
      var debittopcolor = 'creditdebt_firstrate'
      if (getCreditInfoByRatingparam.mdEntryType == 0) {
        debitbordercolor = 'creditdebt_connprice1bid';
        debittopcolor = 'creditdebt_firstratebid'
      } else {
        debitbordercolor = 'creditdebt_connprice1';
        debittopcolor = 'creditdebt_firstrate'
      }
      if (data.errorCode == '0') {
        if (mdEntryType == 0) {
          var riseflag = 'BID'
        } else {
          var riseflag = 'OFR'
        }
        // if (flag) {
        //   var creditdebt = document.getElementsByClassName(flag)[0];
        //   var creditdebtselect = document.getElementsByClassName(flag)[1];
        //   var creditdebtselectgparents = document.getElementsByClassName('textcontent')[0];
        //   creditdebtselectgparents.removeChild(creditdebt);
        //   creditdebtselectgparents.removeChild(creditdebtselect);
        // }
        if (data.result && data.result.list1 && data.result.list1.length>0) {
          if (data.result.list1[0]) {
            var list1topprace = '--'
            if (data.result.list1[0].quoteType == 0 && mdEntryType == 0) {
              list1topprace = 'BID'
            } else if (data.result.list1[0].quoteType == 0 && mdEntryType == 1) {
              list1topprace = 'OFR'
            }
            
            if (data.result.list1[0].quoteType == 3) {
              list1topprace = data.result.list1[0].price.toFixed(4) + '%'
            }
            if (data.result.list1[0].quoteType == 1) {
              list1topprace = data.result.list1[0].price.toFixed(4)
            }
            bidlist1top = '<p class="creditdebt_firstname">' + data.result.list1[0].bondShortName + '</p>' +
              '<p class="' + debittopcolor + '"><span>AAA</span></p>' +
              '<div class="creditdebt_firstdir ">' +
              '<span class="creditdebt_firstdeal">' + riseflag+'</span><span class="creditdebt_firstprice">' + list1topprace + '</span>'

          }
          for (var i = 0; i < data.result.list1.length; i++) {
            var list1prace = '--'
            if (data.result.list1[i].quoteType == 0 && mdEntryType == 0) {
              list1prace = 'BID'
            } else if (data.result.list1[i].quoteType == 0 && mdEntryType == 1) {
              list1prace = 'OFR'
            }
            if (data.result.list1[0].quoteType == 3) {
              list1prace = data.result.list1[i].price.toFixed(4) + '%'
            }
            if (data.result.list1[0].quoteType == 1) {
              list1prace = data.result.list1[i].price.toFixed(4)
            }
            bidlist1list += '<li class="creditdebt_conli  creditdebt_conliborder">' +
              '<div>' +
              '<p class="creditdebt_conname">' + data.result.list1[i].bondShortName + '</p>' +
              '<p class="creditdebt_connrate">' + data.result.list1[i].remainPeriodFormat + '</p>' +
              '</div>' +
              '<div class="creditdebt_conliright">' +
              '<span class="' + debitbordercolor + '">' + list1prace + '</span>' +
              '</div>' +
              '</li>'
          }
        }
        if (data.result && data.result.list2 && data.result.list2.length > 0) {
          var list2topprace = '--'
          if (data.result.list2[0].quoteType == 0 && mdEntryType == 0) {
            list2topprace = 'BID'
          } else if (data.result.list2[0].quoteType == 0 && mdEntryType == 1) {
            list2topprace = 'OFR'
          }
          if (data.result.list2[0].quoteType == 3) {
            list2topprace = data.result.list2[0].price.toFixed(4) + '%'
          }
          if (data.result.list2[0].quoteType == 1) {
            list2topprace = data.result.list2[0].price.toFixed(4)
          }
          if (data.result.list2[0]) {
            bidlist2top = '<p class="creditdebt_firstname">' + data.result.list2[0].bondShortName + '</p>' +
              '<p class="' + debittopcolor + '"><span>AA+</span></p>' +
              '<div class="creditdebt_firstdir ">' +
              '<span class="creditdebt_firstdeal">' + riseflag +'</span><span class="creditdebt_firstprice">' + list2topprace + '</span>'
          }
          for (var i = 0; i < data.result.list2.length; i++) {
            var list2prace = data.result.list2[i].price.toFixed(4)
            if (data.result.list2[i].quoteType == 0 && mdEntryType == 0) {
              list2prace = 'BID'
            } else if (data.result.list2[i].quoteType == 0 && mdEntryType == 1) {
              list2prace = 'OFR'
            }
            if (data.result.list2[i].quoteType == 3) {
              list2prace = data.result.list2[i].price.toFixed(4) + '%'
            }
            if (data.result.list2[i].quoteType == 1) {
              list2prace = data.result.list2[i].price.toFixed(4)
            }
            bidlist2list += '<li class="creditdebt_conli  creditdebt_conliborder">' +
              '<div>' +
              '<p class="creditdebt_conname">' + data.result.list2[i].bondShortName + '</p>' +
              '<p class="creditdebt_connrate">' + data.result.list2[i].remainPeriodFormat + '</p>' +
              '</div>' +
              '<div class="creditdebt_conliright">' +
              '<span class="' + debitbordercolor + '">' + list2prace + '</span>' +
              '</div>' +
              '</li>'
          }
        }
        if (data.result && data.result.list3 && data.result.list3.length > 0) {
          var list3topprace = '--'
          if (data.result.list3[0].quoteType == 0 && mdEntryType == 0) {
            list3topprace = 'BID'
          } else if (data.result.list3[0].quoteType == 0 && mdEntryType == 1) {
            list3topprace = 'OFR'
          }
          if (data.result.list3[0].quoteType == 3) {
            list3topprace = data.result.list3[0].price.toFixed(4) + '%'
          }
          if (data.result.list3[0].quoteType == 1) {
            list3topprace = data.result.list3[0].price.toFixed(4)
          }
          if (data.result.list3[0]) {
            bidlist3top = '<p class="creditdebt_firstname">' + data.result.list3[0].bondShortName + '</p>' +
              '<p class="' + debittopcolor + '"><span>AA</span></p>' +
              '<div class="creditdebt_firstdir ">' +
              '<span class="creditdebt_firstdeal">' + riseflag +'</span><span class="creditdebt_firstprice">' + list3topprace + '</span>'
          }
          for (var i = 0; i < data.result.list3.length; i++) {
            var list3prace = '--'
            if (data.result.list3[i].quoteType == 0 && mdEntryType == 0) {
              list3prace = 'BID'
            } else if (data.result.list3[i].quoteType == 0 && mdEntryType == 1) {
              list3prace = 'OFR'
            }
            if (data.result.list3[i].quoteType == 3) {
              list3prace = data.result.list3[i].price.toFixed(4) + '%'
            }
            if (data.result.list3[i].quoteType == 1) {
              list3prace = data.result.list3[i].price.toFixed(4)

            }
            bidlist3list += '<li class="creditdebt_conli  creditdebt_conliborder">' +
              '<div>' +
              '<p class="creditdebt_conname">' + data.result.list3[i].bondShortName + '</p>' +
              '<p class="creditdebt_connrate">' + data.result.list3[i].remainPeriodFormat + '</p>' +
              '</div>' +
              '<div class="creditdebt_conliright">' +
              '<span class="' + debitbordercolor + '">' + list3prace + '</span>' +
              '</div>' +
              '</li>'
          }
        }
      }
      var bidstr = ''
      bidstr = '<div class="creditdebt_con">' +
        '<div class="creditdebt_leftcon">' +
        bidlist1top +
        '</div>' +
        '<ul class="creditdebt_conul">' +
        bidlist1list +
        '</ul>' +
        '</div>' +
        '<div class="creditdebt_centercon">' +
        bidlist2top +
        '</div>' +
        '<ul class="creditdebt_conul">' +
        bidlist2list +
        '</ul>' +
        '</div>' +
        '<div class="creditdebt_rightcon">' +
        bidlist3top +
        '</div>' +
        '<ul class="creditdebt_conul">' +
        bidlist3list +
        '</ul>' +
        '</div>' +
        '</div>'
      var Creditdebtstr = '<div class="creditdebt  ' + cdebtid + '">' +
        '<div class="creditdebt_tab">' +
        '<div class="creditdebt_tabbid" ontouchend="creditdebt_tabbids(' + cdebtid + ')">BID</div>' +
        '<div class="creditdebt_tabofr" ontouchend="creditdebt_tabofrs(' + cdebtid + ')">OFR</div>' +
        '</div>' +
        bidstr +
        '</div>' +
        '<div class="creditdebt_select   ' + cdebtid + '">' +
        '<div class="creditdebt_selectscroll">' +
        '<span class="creditdebt_bottomspan creditdebt_bottom1"  ontouchend="creditdebt_tabbottom(' + cdebtid + ',1)"> &lt;3M </span>' +
        '<span class="creditdebt_bottomspan creditdebt_bottom2"  ontouchend="creditdebt_tabbottom(' + cdebtid + ',2)">3M-6M</span>' +
        '<span class="creditdebt_bottomspan creditdebt_bottom3"  ontouchend="creditdebt_tabbottom(' + cdebtid + ',3)">6M-1Y</span>' +
        '<span class="creditdebt_bottomspan creditdebt_bottom4"  ontouchend="creditdebt_tabbottom(' + cdebtid + ',4)">1Y-3Y</span>' +
        '<span class="creditdebt_bottomspan creditdebt_bottom5"  ontouchend="creditdebt_tabbottom(' + cdebtid + ',5)">3Y-5Y</span>' +
        '<span class="creditdebt_bottomspan creditdebt_bottom6"  ontouchend="creditdebt_tabbottom(' + cdebtid + ',6)">5Y-7Y</span>' +
        '<span class="creditdebt_bottomspan creditdebt_bottom7"  ontouchend="creditdebt_tabbottom(' + cdebtid + ',7)">7Y-10Y</span>' +
        '<span class="creditdebt_bottomspan creditdebt_bottom8"  ontouchend="creditdebt_tabbottom(' + cdebtid + ',8)">10Y以上</span>' +
        '</div>' +
        '</div>' +
        '</div>';
      $("body #textcontent").append(Creditdebtstr);
      window.scrollTo(0, document.body.scrollHeight);
      if (periodType) {
        $('.' + cdebtid + ' .creditdebt_bottom' + periodType).addClass('creditdebt_bottomselect');
      } else { //如果没有mmrBaseTerm，说明是点击首次加载，漠然在第一个加选中
        $('.creditdebt_bottom1').addClass('creditdebt_bottomselect');
      }
      if (getCreditInfoByRatingparam.mdEntryType == 0) {
        $('.' + cdebtid + ' .creditdebt_tabbid').addClass('creditdebt_tabclick');
        $('.' + cdebtid + ' .creditdebt_tabofr').removeClass('creditdebt_tabclick');
      } else {
        $('.' + cdebtid + ' .creditdebt_tabbid').removeClass('creditdebt_tabclick');
        $('.' + cdebtid + ' .creditdebt_tabofr').addClass('creditdebt_tabclick');
      }
    }
  })

}

function creditdebt_tabbids(timeflag) {
  // $('.' + timeflag+' .creditdebt_tabbid').addClass('creditdebt_tabclick');
  // $('.' + timeflag +' .creditdebt_tabofr').removeClass('creditdebt_tabclick');
  mdEntryType = 0
  appendCreditdebt(timeflag)
}

function creditdebt_tabofrs(timeflag) {
  // $('.' + timeflag +' .creditdebt_tabbid').removeClass('creditdebt_tabclick');
  // $('.' + timeflag +' .creditdebt_tabofr').addClass('creditdebt_tabclick');
  mdEntryType = 1
  appendCreditdebt(timeflag)

}
function creditdebt_tabbottom(timeflag, periodType) {
  appendCreditdebt(timeflag, periodType)
}


  // var Creditdebtstr = '<div class="creditdebt">' +
  //   '<div class="creditdebt_tab">' +
  //   '<div class="creditdebt_tabclick creditdebt_tabbid" ontouchend="creditdebt_tabbid()">BID</div>' +
  //   '<div class="creditdebt_tabofr" ontouchend="creditdebt_tabofr()">OFR</div>' +
  //   '</div>' +
  //   '<div class="creditdebt_con">' +
  //   '<div class="creditdebt_leftcon">' +
  //   '<p class="creditdebt_firstname">16方正03</p>' +
  //   '<p class="creditdebt_firstrate"><span>AAA</span></p>' +
  //   '<div class="creditdebt_firstdir creditdebt_conliborder">' +
  //   '<span class="creditdebt_firstdeal">BID</span><span class="creditdebt_firstprice">5.60</span>' +
  //   '</div>' +
  //   '<ul class="creditdebt_conul">' +
  //   '<li class="creditdebt_conli  creditdebt_conliborder">' +
  //   '<div>' +
  //   '<p class="creditdebt_conname">16方正0316方正03</p>' +
  //   '<p class="creditdebt_connrate">199D199D+999Y</p>' +
  //   '</div>' +
  //   '<div>' +
  //   '<span class="creditdebt_connprice1">2.3333</span>' +
  //   '</div>' +
  //   '</li>' +
  //   '</ul>' +
  //   '</div>' +
  //   '<div class="creditdebt_centercon">' +
  //   '<p class="creditdebt_firstname">16方正03</p>' +
  //   '<p class="creditdebt_firstrate"><span>AAA</span></p>' +
  //   '<div class="creditdebt_firstdir">' +
  //   '<span class="creditdebt_firstdeal">BID</span><span  class="creditdebt_firstprice">5.60</span>' +
  //   '</div>' +
  //   '<ul class="creditdebt_conul">' +
  //   '<li class="creditdebt_conli creditdebt_conliborder">' +
  //   '<div>' +
  //   '<p class="creditdebt_conname">16方正0316方正03</p>' +
  //   '<p class="creditdebt_connrate">199D199D+999Y</p>' +
  //   '</div>' +
  //   '<div>' +
  //   '<span class="creditdebt_connprice1">2.3333</span>' +
  //   '</div>' +
  //   '</li>' +
  //   '</ul>' +
  //   '</div>' +
  //   '<div class="creditdebt_rightcon">' +
  //   '<p class="creditdebt_firstname">16方正03</p>' +
  //   '<p class="creditdebt_firstrate"><span>AAA</span></p>' +
  //   '<div class="creditdebt_firstdir">' +
  //   '<span class="creditdebt_firstdeal">BID</span><span class="creditdebt_firstprice">5.60</span>' +
  //   '</div>' +
  //   '<ul class="creditdebt_conul">' +
  //   '<li class="creditdebt_conli">' +
  //   '<div>' +
  //   '<p class="creditdebt_conname">16方正0316方正03</p>' +
  //   '<p class="creditdebt_connrate">199D199D+999Y</p>' +
  //   '</div>' +
  //   '<div>' +
  //   '<span class="creditdebt_connprice1">2.3333</span>' +
  //   '</div>' +
  //   '</li>' +
  //   '</ul>' +
  //   '</div>' +
  //   '</div>' +
  //   '<div class="creditdebt_ofrcon">' +
  //   '<div class="creditdebt_leftcon">' +
  //   '<p class="creditdebt_firstname">16方正03</p>' +
  //   '<p class="creditdebt_firstrate"><span>AAA</span></p>' +
  //   '<div class="creditdebt_firstdir creditdebt_conliborder">' +
  //   '<span class="creditdebt_firstdeal">ofr</span><span class="creditdebt_firstprice">5.60</span>' +
  //   ' </div>' +
  //   '<ul class="creditdebt_conul">' +
  //   '<li class="creditdebt_conli  creditdebt_conliborder">' +
  //   '<div>' +
  //   '<p class="creditdebt_conname">16方正0316方正03</p>' +
  //   '<p class="creditdebt_connrate">199D199D+999Y</p>' +
  //   '</div>' +
  //   '<div>' +
  //   '<span class="creditdebt_connprice1">2.3333</span>' +
  //   '</div>' +
  //   '</li>' +
  //   '</ul>' +
  //   '</div>' +
  //   '<div class="creditdebt_centercon">' +
  //   '<p class="creditdebt_firstname">16方正03</p>' +
  //   '<p class="creditdebt_firstrate"><span>AAA</span></p>' +
  //   '<div class="creditdebt_firstdir">' +
  //   '<span class="creditdebt_firstdeal">ofr</span><span class="creditdebt_firstprice">5.60</span>' +
  //   '</div>' +
  //   '<ul class="creditdebt_conul ">' +
  //   '<li class="creditdebt_conli creditdebt_conliborder">' +
  //   '<div>' +
  //   '<p class="creditdebt_conname">16方正0316方正03</p>' +
  //   '<p class="creditdebt_connrate">199D199D+999Y</p>' +
  //   '</div>' +
  //   '<div>' +
  //   '<span class="creditdebt_connprice1">2.3333</span>' +
  //   '</div>' +
  //   '</li>' +
  //   '</ul>' +
  //   '</div>' +
  //   '<div class="creditdebt_rightcon">' +
  //   '<p class="creditdebt_firstname">16方正03</p>' +
  //   '<p class="creditdebt_firstrate"><span>AAA</span></p>' +
  //   '<div class="creditdebt_firstdir">' +
  //   '<span class="creditdebt_firstdeal">ofr</span><span class="creditdebt_firstprice">5.60</span>' +
  //   '</div>' +
  //   '<ul class="creditdebt_conul">' +
  //   '<li class="creditdebt_conli">' +
  //   '<div>' +
  //   '<p class="creditdebt_conname">16方正0316方正03</p>' +
  //   '<p class="creditdebt_connrate">199D199D+999Y</p>' +
  //   '</div>' +
  //   '<div>' +
  //   '<span class="creditdebt_connprice1">2.3333</span>' +
  //   '</div>' +
  //   '</li>' +
  //   '</ul>' +
  //   '</div>' +
  //   '</div>' +
  //   '<div class="creditdebt_select">' +
  //   '<div class="creditdebt_bottom">' +
  //   '<span class="creditdebt_bottomspan creditdebt_bottomselect"> &lt;3M </span>' +
  //   '<span class="creditdebt_bottomspan">3M-6M</span>' +
  //   '<span class="creditdebt_bottomspan">6M-1Y</span>' +
  //   '<span class="creditdebt_bottomspan">1Y-3Y</span>' +
  //   '<span class="creditdebt_bottomspan">3Y-5Y</span>' +
  //   '<span class="creditdebt_bottomspan">5Y-7Y</span>' +
  //   '<span class="creditdebt_bottomspan">7Y-10Y</span>' +
  //   '<span class="creditdebt_bottomspan">10Y以上</span>' +
  //   '</div>' +
  //   '</div>' +
  //   '</div>';
  // $("body #textcontent").append(Creditdebtstr);
  // // //点击消息
  // $(".entryinput").val("");
  // var msgBox = document.getElementsByClassName('pa-wrap');
  // $(".pa-wrap").scrollTop(document.body.scrollHeight);
